Skip to content

Update income

Updates an existing income

View as Markdown

PUT /v1/income/{id}

Needs an API key with the update scope.

Path parameters

  • id string Required

Body parameters

  • invoiceNumber string

    Invoice number formatted in string. Accepts alpha numeric characters and '-' symbol.

  • description string

    Description of the income. This will also be its title in the Nuvio Platform.

  • invoiceDate string

    The date of the income. Should be formatted in YYYY-MM-DD format.

  • dueDate string

    Due date of the payment for this income. Should be formatted in YYYY-MM-DD format.

  • currency string

    3-letter currency code. You can find all the available currencies here.

  • projectId string

    32-character unique ID of the related project. If you don't know the ID, you can also provide projectCode instead of this field. If both of them are provided projectId will be used only.

  • projectCode string

    User-generated custom code of the related project. If projectId is also provided, it will override this field.

  • customerId string

    32-character unique ID of the customer. If you don't know the ID, you can also provide customerCode instead of this field. If both of them are provided, customerId will be used only.

  • customerCode string

    User-generated custom unique code of the specific customer. If customerId is also provided, it will override this field.

  • tags array of strings

    List of the tags that are related to this income. Provide a list of tags with their 32-character unique ID.

  • items array of objects

    List of the items that are sold in this income. This list will override existing list of items in the updated income. Do not just update 1 item, make sure to include all the items in your request.

    Show child parameters Hide child parameters
    • productId string

      32-character unique ID of the product. If you don't know the ID, you can also provide productCode instead of this field. If both of them are provided, productId will be used only.

    • productCode string

      User-generated custom unique code of the specific product. If productId is also provided, it will override this field.

    • quantity integer

      Quantity of the sold items. It should be a positive integer.

    • itemTaxes array of strings

      A list of the taxes to be applied to the related line item. Provide a list of taxes with their 32-character unique ID.

    • unitPrice number

      Net Amount of a single product sold. Should be a positive decimal number with 2 decimal points. eg. 32.43

  • exchangeRate number

    If currency is different than your company's functional currency, this will be the exchange rate that Nuvio will use while converting the amounts of this expense to company's functional currency. Should be number with 4 decimal points. eg. 32.4325

Returns

The updated income.

401
No usable Authorization: Bearer {token} header (1002).
403
The access token is unknown, or lacks the scope this route needs (1001).